apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "apache2-okd.fullname" . }}
  labels:
    {{- include "apache2-okd.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      {{- include "apache2-okd.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "apache2-okd.selectorLabels" . | nindent 8 }}
    spec:
      {{- if .Values.volumes }}
      volumes:
        {{- tpl (.Values.volumes | toYaml) . | nindent 8 }}
      {{- end }}
      containers:
        - name: {{ .Chart.Name }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          {{- if .Values.envVarsCM }}
          envFrom:
            - configMapRef:
                name: {{ .Values.envVarsCM }}
          {{- end }}
          {{- if .Values.envVars }}
          env:
            {{- toYaml .Values.envVars | nindent 12 }}
          {{- end }}
          ports:
            - name: http
              containerPort: {{ .Values.service.port }}
              protocol: TCP
          livenessProbe:
            tcpSocket:
              port: http
          readinessProbe:
            httpGet:
              path: /server-status?auto
              port: http
          {{- if .Values.volumeMounts }}
          volumeMounts:
            {{- tpl (.Values.volumeMounts | toYaml) . | nindent 12 }}
          {{- end }}
